Skip to main content
Resource Center/Network Resource/Policy Routing Operations

CreatePolicyRouteRule

CreatePolicyRouteRule

POST/zstack/v1/policy-routes/rules

Operation ID

CreatePolicyRouteRule

Since

3.6.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Body Fields

  • params
    ObjectRequired

    Request body parameter object.

    • ruleSetUuid
      StringRequired

      The UUID of the policy route rule set.

    • tableUuid
      StringRequired

      The policy route table UUID.

    • ruleNumber
      intRequired

      The priority.

    • destIp
      String

      Optional. The destination IP address.

    • sourceIp
      String

      Optional. The source IP address.

    • destPort
      String

      Optional. The destination port.

    • sourcePort
      String

      Optional. The source port.

    • protocol
      String

      Optional. The protocol.

    • resourceUuid
      String

      Optional. The resource UUID.

    • tagUuids
      List

      Optional. The tag UUID list.

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventory
    PolicyRouteRuleInventoryRequired

    See inventory.

    • uuid
      StringRequired

      The resource UUID.

    • ruleNumber
      intRequired

      The priority.

    • ruleSetUuid
      StringRequired

      The UUID of the policy route rule set.

    • tableUuid
      StringRequired

      The policy route table UUID.

    • destIp
      StringRequired

      The destination IP address.

    • sourceIp
      StringRequired

      The source IP address.

    • destPort
      StringRequired

      The destination port.

    • sourcePort
      StringRequired

      The source port.

    • createDate
      TimestampRequired

      The creation date.

    • lastOpDate
      TimestampRequired

      The last operation date.

    • protocol
      PolicyRouteRuleProtocolRequired

      See protocol.

      • tcp
        PolicyRouteRuleProtocolRequired

        The tcp.

      • udp
        PolicyRouteRuleProtocolRequired

        The udp.

    • state
      PolicyRouteRuleStateRequired

      See state.

      • enable
        PolicyRouteRuleStateRequired

        Whether the feature is enabled.

      • disable
        PolicyRouteRuleStateRequired

        Whether the feature is disabled.